//+------------------------------------------------------------------+
//|                                                     Daniella.mq4 |
//|                                                           Kvant  |
//+------------------------------------------------------------------+

#property copyright "."
#property link      "i-Daniella"

#property indicator_chart_window
#property indicator_color1 Red
#property indicator_color2 Blue
#property indicator_buffers 2

double ExtHistoBuffer[];
double ExtHistoBuffer2[];

//----------------------------------------------------------------+

int init()
{
   SetIndexStyle(0, DRAW_ARROW, STYLE_SOLID);
   SetIndexBuffer(0, ExtHistoBuffer);
   SetIndexStyle(1, DRAW_ARROW, STYLE_SOLID);
   SetIndexBuffer(1, ExtHistoBuffer2);
   SetIndexArrow(1,233);
   SetIndexArrow(0,234);
   return(0);
}

void start()
{
  ExtHistoBuffer[0] = EMPTY_VALUE;
  ExtHistoBuffer2[0] = EMPTY_VALUE;

  int counted = IndicatorCounted();
  if (counted < 0) return (-1);
  
  if (counted > 0) counted--;
  int limit = Bars-counted;
  
  for (int i=limit; i >= 0; i--)
  {
double ma=iATR(NULL,0,2,i);
double ma1=iATR(NULL,0,2,i+1);
double ma2=iATR(NULL,0,2,i+2);

    if (Close[i]<Open[i] && ma>ma1 && ma<ma2) 
      ExtHistoBuffer[i] = High[i]+10*Point;

    if (Close[i]>Open[i] && ma>ma1 && ma<ma2)
      ExtHistoBuffer2[i] = Low[i]-10*Point;
  }
}